Bug 94253 - [llvmpipe] piglit gl-1.0-swapbuffers-behavior regression
Summary: [llvmpipe] piglit gl-1.0-swapbuffers-behavior regression
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: 11.2
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords: bisected, regression
Depends on:
Blocks:
 
Reported: 2016-02-22 22:14 UTC by Vinson Lee
Modified: 2016-02-24 15:58 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vinson Lee 2016-02-22 22:14:17 UTC
mesa: 571bd9ac4280b0d3c10281e9899afb33bc67d589 (master 11.3.0-devel)

$ ./bin/gl-1.0-swapbuffers-behavior -auto
SwapBuffers apparently failed!
PIGLIT: {"result": "fail" }

605832736a6d9427ad894d403cceeb74a5b18dc1 is the first bad commit
commit 605832736a6d9427ad894d403cceeb74a5b18dc1
Author: Nanley Chery <nanley.g.chery@intel.com>
Date:   Fri Feb 5 16:21:33 2016 -0800

    mesa/readpix: Clip ReadPixels() area to the ReadBuffer's
    
    The fast path for Intel's ReadPixels() unintentionally omits clipping
    the specified area to a valid one. Rather than clip in various
    corner-cases, perform this operation in the API validation stage.
    
    The bug in intel_readpixels_tiled_memcpy() showed itself when the winsys
    ReadBuffer's height was smaller than the one specified by ReadPixels().
    yoffset became negative, which was an invalid input for tiled_to_linear().
    
    v2: Move clipping to validation stage (Jason)
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=92193
    Reported-by: Marta Löfstedt <marta.lofstedt@intel.com>
    Cc: "11.0 11.1" <mesa-stable@lists.freedesktop.org>
    Signed-off-by: Nanley Chery <nanley.g.chery@intel.com>
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>
    Reviewed-by: Brian Paul <brianp@vmware.com>

:040000 040000 0f8b2af912e9f15eb83e20c0dfbf625fc7577e6b 08261118001653553be85da5b3d8f9bd3a7ad6f8 M	src
bisect run success
Comment 1 Brian Paul 2016-02-24 15:58:05 UTC
Fixed by 83b589301f4a150f4b1b13fd3ffd9f6d98ee6546.


bug/show.html.tmpl processed on Feb 24, 2017 at 21:51:42.
(provided by the Example extension).